/*
 * Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: ExceptionFromMappedException.java 71666 2013-04-19 13:14:27Z supol $  
 */

package com.sun.ts.tests.jaxrs.spec.provider.exceptionmapper;

/**
 * This Exception is meant to be thrown from a Resource, caught by designated
 * mapper which then throws another exception which the spec command not to be
 * caught
 */
public class ExceptionFromMappedException extends RuntimeException {
	
	public ExceptionFromMappedException(String string) {
		super(string);
	}
	
	public ExceptionFromMappedException() {
		super("This is intentional exception");
	}	

	private static final long serialVersionUID = -2119170102914335228L;
}
